package cn.com.qmth.examcloud.tool.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class SysProperty {

    /**
     * 默认文件存放目录
     */
    @Value("${examcloud.tool.dataDir}")
    public String dataDir;

    /**
     * 云平台接口地址前缀
     */
    @Value("${examcloud.server.url}")
    public String serverUrl;

    @Value("${examcloud.server.rootOrgId}")
    public Long serverRootOrgId;

    @Value("${examcloud.server.appId}")
    public String serverAppId;

    @Value("${examcloud.server.secretKey}")
    public String serverSecretKey;

    public String getDataDir() {
        return dataDir;
    }

    public void setDataDir(String dataDir) {
        this.dataDir = dataDir;
    }

    public String getServerUrl() {
        return serverUrl;
    }

    public void setServerUrl(String serverUrl) {
        this.serverUrl = serverUrl;
    }

    public Long getServerRootOrgId() {
        return serverRootOrgId;
    }

    public void setServerRootOrgId(Long serverRootOrgId) {
        this.serverRootOrgId = serverRootOrgId;
    }

    public String getServerAppId() {
        return serverAppId;
    }

    public void setServerAppId(String serverAppId) {
        this.serverAppId = serverAppId;
    }

    public String getServerSecretKey() {
        return serverSecretKey;
    }

    public void setServerSecretKey(String serverSecretKey) {
        this.serverSecretKey = serverSecretKey;
    }

}
